// priority: 0

ServerEvents.recipes(event => {
    event.remove({ output: '#forge:ingots/gold', type: 'minecraft:smelting'})
    event.remove({ output: '#forge:ingots/gold', type: 'minecraft:blasting'})

    event.recipes.exnihilosequentia.sifting('minecraft:dirt', 'minecraft:wheat_seeds', [
        {
            chance: 0.2,
            mesh: "none"
        }],
        false
    )
    event.recipes.exnihilosequentia.sifting('minecraft:dirt', 'minecraft:beetroot_seeds', [
        {
            chance: 0.2,
            mesh: "none"
        }],
        false
    )
    event.recipes.exnihilosequentia.sifting('minecraft:dirt', 'minecraft:pumpkin_seeds', [
        {
            chance: 0.2,
            mesh: "none"
        }],
        false
    )
    event.recipes.exnihilosequentia.sifting('minecraft:dirt', 'minecraft:melon_seeds', [
        {
            chance: 0.2,
            mesh: "none"
        }],
        false
    )


    event.smelting('3x minecraft:gold_nugget', 'minecraft:raw_gold', 0.7)
    event.blasting('3x minecraft:gold_nugget', 'minecraft:raw_gold', 0.7)

    event.recipes.strainers.strainer('minecraft:cobblestone', 'exnihilosequentia:gold_pieces', 0.125, 0.1, 80, 1, 'minecraft:water')
})